gp-grid-logo
Examples

Sorting

Enable single and multi-column sorting in the React grid, including custom comparators, programmatic sort state controls, and persistent sort indicators.

gp-grid supports single and multi-column sorting out of the box.

Basic Sorting

Sorting is enabled by default. Click a column header to sort:

SortableGrid.tsx
import { Grid, type ColumnDefinition } from "@gp-grid/react";

const columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, headerName: "ID" },
  { field: "name", cellDataType: "text", width: 150, headerName: "Name" },
  { field: "salary", cellDataType: "number", width: 120, headerName: "Salary" },
];

function SortableGrid() {
  return (
    <div style={{ height: "400px" }}>
      <Grid
        columns={columns}
        rowData={data}
        rowHeight={36}
        sortingEnabled={true}
      />
    </div>
  );
}

Multi-Column Sorting

Hold Shift while clicking headers to sort by multiple columns:

  1. Click "Name" to sort by name
  2. Shift+Click "Salary" to add salary as secondary sort

Disable Sorting

Globally

<Grid
  columns={columns}
  rowData={data}
  rowHeight={36}
  sortingEnabled={false}
/>

Per Column

const columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, sortable: false },
  { field: "name", cellDataType: "text", width: 150, sortable: true },
];

Sort Indicators

The header displays sort direction and order:

  • - Ascending
  • - Descending
  • Number badge for multi-column sort order

gp-grid-logo
Examples

Sorting

Enable single and multi-column sorting in the Vue 3 grid, including custom comparators, programmatic sort state, and persistent sort indicators today.

gp-grid supports single and multi-column sorting.

Basic Sorting

Sorting is enabled by default. Click a column header to sort:

SortableGrid.vue
<script setup lang="ts">
import { Grid, type ColumnDefinition } from "@gp-grid/vue";

const columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, headerName: "ID" },
  { field: "name", cellDataType: "text", width: 150, headerName: "Name" },
  { field: "salary", cellDataType: "number", width: 120, headerName: "Salary" },
];

const data = ref([/* your data */]);
</script>

<template>
  <div style="height: 400px">
    <Grid
      :columns="columns"
      :row-data="data"
      :row-height="36"
      :sorting-enabled="true"
    />
  </div>
</template>

Multi-Column Sorting

Hold Shift while clicking headers to sort by multiple columns.

Disable Sorting

Globally

<template>
  <Grid
    :columns="columns"
    :row-data="data"
    :row-height="36"
    :sorting-enabled="false"
  />
</template>

Per Column

<script setup lang="ts">
const columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, sortable: false },
  { field: "name", cellDataType: "text", width: 150, sortable: true },
];
</script>

Sort Indicators

The header displays sort direction:

  • - Ascending
  • - Descending
  • Number badge for multi-column sort order

gp-grid-logo
Examples

Sorting

Enable single and multi-column sorting in the Angular grid, including custom comparators, programmatic sort state, and persistent sort indicators here.

gp-grid supports single and multi-column sorting.

Basic Sorting

Sorting is enabled by default. Click a column header to sort:

sortable-grid.component.ts
import { Component } from "@angular/core";
import { GridComponent, type ColumnDefinition } from "@gp-grid/angular";

@Component({
  selector: "app-sortable-grid",
  standalone: true,
  imports: [GridComponent],
  template: `
    <div style="height: 400px">
      <gp-grid
        [columns]="columns"
        [rowData]="data"
        [rowHeight]="36"
        [sortingEnabled]="true"
      />
    </div>
  `,
})
export class SortableGridComponent {
  columns: ColumnDefinition[] = [
    { field: "id", cellDataType: "number", width: 80, headerName: "ID" },
    { field: "name", cellDataType: "text", width: 150, headerName: "Name" },
    { field: "salary", cellDataType: "number", width: 120, headerName: "Salary" },
  ];

  data = [/* your data */];
}

Multi-Column Sorting

Hold Shift while clicking headers to sort by multiple columns.

Disable Sorting

Globally

template: `
  <gp-grid
    [columns]="columns"
    [rowData]="data"
    [rowHeight]="36"
    [sortingEnabled]="false"
  />
`

Per Column

columns: ColumnDefinition[] = [
  { field: "id", cellDataType: "number", width: 80, sortable: false },
  { field: "name", cellDataType: "text", width: 150, sortable: true },
];

Sort Indicators

The header displays sort direction:

  • - Ascending
  • - Descending
  • Number badge for multi-column sort order